Subject: [Ltru] Submission: draft-ietf-ltru-registry-07

From: "Addison Phillips" <[email-masked]>
Date: Mon, 27 Jun 2005 10:22:02 -0700

Dear Editor,

Please find draft-ietf-ltru-registry-07 attached.

Best Regards,

Addison (for the editors)

Addison P. Phillips
Globalization Architect, Quest Software
http://www.quest.com

Chair, W3C Internationalization Core Working Group
http://www.w3.org/International

Internationalization is not a feature.
It is an architecture. 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Addison Phillips" <[email-masked]>
Date: Tue, 28 Jun 2005 15:16:42 -0700

> True enough, but nothing *requires* the use of a script subtag, and in
> some
> particular cases (where there is an obvious default) they are actually
> forbidden:
> you use the Latn tag with en, e.g.

Forbidden? No. Strongly discouraged? Yes. There are cases where the 'Latn' subtag should be used with e.g. the 'en' primary language subtag.

Karen,

As an additional pointer, you might want to consider this group's matching draft. "Remove from right" style matching (described in RFC 3066 and called Basic Matching in the matching draft) is impacted by where each subtag is placed. Issue #999 recreated the original discussion that lead to the chosen design within the working group context and John Cowan's summary (below) is basically the reasoning behind the position of the subtag.

The matching draft is:

http://www.ietf.org/internet-drafts/draft-ietf-ltru-matching-02.txt
http://www.inter-locale.com/ID/draft-ietf-ltru-matching-02.html

Best Regards,

Addison

Addison P. Phillips

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of John.Cowan
> Sent: mardi 28 juin 2005 14:15
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Ltru] Submission: draft-ietf-ltru-registry-07
> 
> [email-masked] scripsit:
> > I'm a newcomer to the list, so forgive me if I have a historical
> question:
> > Why was the decision made to put the script variant before the regional
> > variant?
> 
> Because the same language in different scripts is more likely to be a
> barrier
> to intelligibility than the same language in different regional variants.
> As a native speaker and reader of en-us, I have no trouble with most kinds
> of en-gb spoken or written, but English in Braille is totally useless to
> me.
> 
> > I likely would have structured it with the regional variant
> > before the script variant because for me, the script variant only
> applies
> > if the content is written while the regional variant would apply in both
> > the written and spoken contexts.
> 
> True enough, but nothing *requires* the use of a script subtag, and in
> some
> particular cases (where there is an obvious default) they are actually
> forbidden:
> you use the Latn tag with en, e.g.
> 
> --
> John Cowan   www.reutershealth.com   www.ccil.org/~cowan
> [email-masked]
> Lope de Vega: "It wonders me I can speak at all.  Some caitiff rogue did
> rudely yerk me on the knob, wherefrom my wits still wander."
> An Englishman: "Ay, a filchman to the nab betimes 'll leave a man
> crank for a spell." --Harry Turtledove, Ruled Britannia
>

---

From: "Peter Constable" <[email-masked]>
Date: Wed, 29 Jun 2005 08:32:17 -0700

> From: [email-masked] [mailto:[email-masked]]
On Behalf Of r&d
> afrac

> this a very sensible proposition which could spare us a lot of
contention
> and wasted time. It could permit to document many points and leave
them
> open for the future. I will take as an example the sensible question
of ISO
> 11179 which is the further compatibility with the other real world
issues.
> There is an enormous difference between not alluding to it and a
comment
> explaining why (for example that due to the importance and the global
> nature of the issue, a specific work of the IETF on the matter is
> necessary, and that it has been noted that ISO 639-6 will comply with
ISO
> 11179).

While ISO 11179 is an important standard, it's not clear to me what
benefit would be gained from adding references to it in an Appendix. If
someone wants to propose specific text for addition to the draft, that
can be evaluated.

Peter Constable

---

From: "Peter Constable" <[email-masked]>
Date: Wed, 29 Jun 2005 08:33:35 -0700

Hear! Hear!

Peter

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Mark Davis
> Sent: Wednesday, June 29, 2005 8:29 AM
> To: Addison Phillips; Martin Duerst
> Cc: [email-masked]; LTRU Working Group
> With any document, it is always possible to have incremental improvements.
> But we will never finish at that rate. It is now the 60th of May, so if we
> are going to finish by the end of May as planned, we have to wrap things up,
> instead of having continual tweaks.
> 
> ‎Mark
> 
> ----- Original Message -----
> From: "Martin Duerst" <[email-masked]>
> To: "Addison Phillips" <[email-masked]>
> Cc: <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Tuesday, June 28, 2005 17:08
> > Addison, others,
> > This question is probably the most frequent question that comes
> > up from newcommers. Is there any chance that the reason for this
> > decision is documented in the draft, e.g. in an Appendix?
> >
> > There are some examples of how to do this, see e.g.
> > RFC 3987, Appendix A, or RFC 3023, also Appendix A.
> >
> > Are there any other difficult-to-understand things that might
> > benefit from such documentation? We already have some documentation
> > about how we got to the various length restrictions; maybe that
> > could be moved to the appendix, too.
> >
> > Regards,    Martin.
> >
> > At 04:16 05/06/29, [email-masked] wrote:
> >  >variant? I likely would have structured it with the regional variant
> >  >the written and spoken contexts. If you can point me in the direction of
> >  >an archive on the topic, that would help.
> >  >
> >  >Thank you,
> >  >
> >  >Karen Broome
> >  >Metadata Systems Designer
> >  >Sony Pictures Entertainment
> >  >310.244.4384
> >  >
> >  >
> >  >
> >  >
> >  >
> >  >
> >  >"Addison Phillips" <[email-masked]>
> >  >Sent by: [email-masked]
> >  >06/27/2005 10:22 AM
> >  >
> >  >
> >  >        To:     <[email-masked]>
> >  >        cc:     LTRU Working Group <[email-masked]>
> >  >        Subject:        [Ltru] Submission: draft-ietf-ltru-registry-07
> >  >
> >  >
> >  >Dear Editor,
> >  >

---

From: "Addison Phillips" <[email-masked]>
Date: Wed, 29 Jun 2005 08:36:35 -0700

+1

Addison P. Phillips

> From: Mark Davis [mailto:[email-masked]]
> Sent: 2005年6月29日 8:29

---

From: "Peter Constable" <[email-masked]>
Date: Wed, 29 Jun 2005 10:49:06 -0700

On Behalf Of r&d

> IMHO the work is simple. It simply consists for us in reviewing the
> document...

If you want the work to be simple, then propose specific revisions to
the draft, including proposed text. Asking for a discussion about
anything other than specific revisions will not be simple and will not
move us toward quick completion.

Peter Constable

---

From: "McDonald, Ira" <[email-masked]>
Date: Thu, 30 Jun 2005 10:16:01 -0700

Hi,

Agreed that our time is short, Mark.  

Nonetheless, the premise that the discussion about the 'script' for 
subtag is captured in the WG email archive is NOT an acceptable 
burden on the reader of the future RFC3066bis. 

An appendix for at least this bit of reasoning would be highly 
desirable.  

What the rationale needs to describe is the compelling reason for 
choosing the second position for 'script' (with attendant backwards 
compatibility issues and hence the derived requirement for the new
'Suppress-Script' field).  The best concise comments on this rationale 
that I've seen were written by Peter Constable and John Cowan.

Addison, I'd submit some text, but I'm not the 'script' expert.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> From: [email-masked] 
> [mailto:[email-masked]]On
> Behalf Of Mark Davis
> Sent: Thursday, June 30, 2005 10:26 AM
> I realize that your intentions were good, but we are way 
> behind schedule.
> 
> ‎Mark
> 
> To: "Mark Davis" <[email-masked]>; "Addison Phillips"
> <[email-masked]>
> Sent: Thursday, June 30, 2005 01:13
> > Just to make things clear, I was not asking for a lengthy 
> explanation
> > of every issue that ever came up on the mailing list, or in 
> some other
> > discusson. I was also not proposing to delay the schedule. 
> I was just
> > proposing that documenting the arguably most disussed point in the
> > whole proposal, namely the position of the script tag.
> > But I'll leave it to the editors to do the right thing.
> >
> > Regards,   Martin.
> >
> > At 00:28 05/06/30, Mark Davis wrote:
> >  >But we will never finish at that rate. It is now the 60th 
> of May, so if
> we
> >  >are going to finish by the end of May as planned, we have 
> to wrap things
> up,
> >  >窶皿ark
> >  >>  >if the content is written while the regional variant 
> would apply in
> both